%global fontname apanov-heuristica
%global fontconf 61-%{fontname}.conf

%global archivename heuristica-src-%{version}

Name:    %{fontname}-fonts
Version: 0.2
Release: 5%{?dist}
Epoch:   1
Summary: Heuristica font

Group:     User Interface/X
License:   OFL
URL:       ftp://ftp.dvo.ru/pub/Font/heuristica/
Source0:   %{url}%{archivename}.tar.xz
Source1:   %{name}-fontconfig.conf
Patch0:    %{name}-bolditalic.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:     noarch
BuildRequires: fontforge, fonttools, xgridfit, xmlstarlet
BuildRequires: fontpackages-devel
Requires:      fontpackages-filesystem

%description
Heuristica is a serif latin & cyrillic font, derived from the “Adobe Utopia”
font that was released to the TeX Users Group under a liberal license.


%prep
%setup -q -c
%patch0 -p0
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build

make

rm *\.gen\.ttf

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *\.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc *.txt


%changelog
* Sun Nov 22 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1:0.2-5
— remove evil duplicate TTF files

* Fri Oct  9 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1:0.2-4
– not smp-safe upstream makefile
- 1:0.2-3
— fonttools has been fixed ⇒ generate TTFs

* Sun Sep 13 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1:0.2-2
— make Bold Italic Bold Italic not BoldItalic

* Sun Sep  6 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 1:0.2-1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- 20090507-2
— Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090507-1

* Sun Mar 15 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090125-5
— Make sure F11 font packages have been built with F11 fontforge

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- 20090125-4
— Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 22 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090125-3
— fix url (thanks nirik)

* Mon Feb 16 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090125-2
— prepare for F11 mass rebuild, new rpm and new fontpackages

*Fri Jan 30 2009 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20090125-1

* Sun Nov 23 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081109-3
ᛤ ‘rpm-fonts’ renamed to “fontpackages”

* Sun Nov 16 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20081109-2
▤ Rebuild using new « rpm-fonts »
- 20081109-1
↝ Fedora import

* Fri Oct 10 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080825-1
ԇ FE-LEGAL lifted — update package in review request

* Fri Jun 20 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 20080619-1
я Initial packaging
